> ## Documentation Index
> Fetch the complete documentation index at: https://docs.salesask.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List appointments

> Returns scheduled appointments for your organization.



## OpenAPI

````yaml /openapi.json get /v1/scheduled-tasks
openapi: 3.1.0
info:
  title: Sales Ask API
  version: 1.0.0
  description: >-
    Public API for integrating with Sales Ask. Authenticate every request using
    your organization API key in the x-api-key header. To generate an API key,
    call POST /organizations/:organizationId/api-key while authenticated as an
    organization admin.
servers:
  - url: https://integrations.salesask.com
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /v1/scheduled-tasks:
    get:
      tags:
        - Scheduled Tasks
      summary: List appointments
      description: Returns scheduled appointments for your organization.
      operationId: listAppointments
      parameters:
        - name: user_email
          in: query
          schema:
            type: string
            format: email
        - name: fromDate
          in: query
          schema:
            type: string
            format: date-time
        - name: toDate
          in: query
          schema:
            type: string
            format: date-time
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 25
        - name: startAfter
          in: query
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  appointments:
                    type: array
                    items:
                      $ref: '#/components/schemas/Appointment'
                  nextCursor:
                    type: string
                    format: date-time
                    nullable: true
                  hasMore:
                    type: boolean
        '401':
          description: Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Appointment:
      type: object
      properties:
        id:
          type: string
          example: task_123
          description: Internal task ID
        event_id:
          type: string
          description: Your CRM/external event ID; unique per organization
          example: CRM-JOB-9871
        startTime:
          type: string
          format: date-time
          nullable: true
          description: Appointment start (UTC)
        customerName:
          type: string
          nullable: true
          example: John Doe
        customerAddress:
          type: string
          nullable: true
        customerPhone:
          type: string
          nullable: true
        customerEmail:
          type: string
          format: email
          nullable: true
        scheduledAt:
          type: string
          format: date-time
          description: When the reminder runs (start + 15 min)
        status:
          type: string
          enum:
            - scheduled
            - running
            - success
            - error
            - skipped
            - failed
          example: scheduled
        metadata:
          type: object
          description: Arbitrary key-value data from your system
        createdAt:
          type: string
          format: date-time
          nullable: true
        updatedAt:
          type: string
          format: date-time
          nullable: true
    Error:
      type: object
      properties:
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````